/* Set up colour variables */
:root{
    --dark-red: #711719 ;
    --med-red: #8E3D45;
    --brown: #30241F;
    --gold: #C5A253;
    --grey-pink: #DFC0C4;
    --black: #000;
    --white: #fff;
}

/* Tiny classes */
.flex {display: flex;}
.center {justify-content: center; align-items: center;}
.text-large {font-size: 150%;}
.pad-20 {padding: 20px;}
.pad-10 {padding: 10px;}
.pad-10-round {padding: 10px; border-radius: 10px;}
.marg-bottom {margin-bottom: 10px;}

/* Set viewport to height of 100% so that footer sticks to the bottom */
html, body{
        height: 100%;
}

body {
    margin: 0;
    padding: 0;

    background-color: var(--dark-red);
    color: var(--white);

    font-family: "Libre Baskerville", serif;

}

h1 {
    font-family: "IM Fell English", serif;
    font-size: 400%;
}

h2 {
    font-size: 200%;
}

/* Wrapper to hold cards and message used on confirm delete page for example. */
.single-holder, .no-results-message {
    display: flex;
    justify-content: start;
    column-gap: 40px;
}

.error {
    background-color: var(--grey-pink);
    color: var(--black);
    border: 3px solid var(--gold);
    padding: 20px;
    border-radius: 10px;
}

.logo-image {
    height: 85px;
    width: auto;
    margin-right: 20px;
}

.nav-button {
    text-decoration: none;
    margin-right: 10px;
}

.nav-button:link, .nav-button:visited {
    color: var(--black);
    background-color: var(--grey-pink);
}

.tools {
    display: flex;
    justify-content: flex-end;
    background-color: var(--grey-pink);
    margin-top: auto;
}

.hamburger {
    display: none;
    background-color: var(--grey-pink);
    color: var(--black);
}

.nav-button:hover{
    background-color: var(--gold);
    color: var(--black);
}

/* Footer */
footer {
    background-color: var(--brown);
    color: var(--white);
    display: flex;
    justify-content: space-between;
}

footer a {
    font-weight: bold;
    color: var(--white);
    text-decoration: none;
    padding-right: 50px;
}

footer a:hover {
    color: var(--gold);
}

.all-credits {
    display: flex;
    column-gap: 40px;
    align-items: center;
}

a.link {
    color: var(--white);
    text-decoration: none;
}

a.link:hover{
    color: var(--gold);
}

.link-styling {
    display: flex;
    justify-content: center;
    gap: 10px;
}

@media screen and (max-width: 1380px) {
    .nav-items {
        display: none;
        flex-direction: column;
        padding: 10px;
        border-radius: 5px;
        height: auto;
    }

    .nav-items.show {
        display: flex;
        align-content: flex-start;
        justify-content: flex-start;
    }

    .hamburger {
        display: inline-block;
        margin-right: 10px;
    }
}